> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pr Scan By Id Route



## OpenAPI

````yaml api-reference/openapi.json get /pr/scan/{pr_scan_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /pr/scan/{pr_scan_id}:
    get:
      tags:
        - Pull Requests
      summary: Get Pr Scan By Id Route
      operationId: get_pr_scan_by_id_route_pr_scan__pr_scan_id__get
      parameters:
        - name: pr_scan_id
          in: path
          required: true
          schema:
            type: integer
            title: Pr Scan Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PRScan'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PRScan:
      properties:
        pr_id:
          type: integer
          title: Pr Id
        vc_id:
          type: integer
          title: Vc Id
        webhook_id:
          type: integer
          title: Webhook Id
        repo_id:
          type: integer
          title: Repo Id
        vc_type:
          type: string
          title: Vc Type
        status:
          allOf:
            - $ref: '#/components/schemas/StatusEnum'
          default: pending
        block_status:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Block Status
          default: true
        other_details:
          anyOf:
            - type: object
            - type: 'null'
          title: Other Details
        stat_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Stat Url
        scan_type:
          $ref: '#/components/schemas/PRScanType'
        id:
          type: integer
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        pr:
          $ref: '#/components/schemas/PR'
        vc_name:
          type: string
          title: Vc Name
        repo_name:
          type: string
          title: Repo Name
        secret_count:
          type: integer
          title: Secret Count
          default: 0
        vulnerability_count:
          type: integer
          title: Vulnerability Count
          default: 0
      type: object
      required:
        - pr_id
        - vc_id
        - webhook_id
        - repo_id
        - vc_type
        - scan_type
        - id
        - created_at
        - pr
        - vc_name
        - repo_name
      title: PRScan
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatusEnum:
      type: string
      enum:
        - pending
        - completed
        - processing
        - failed
      title: StatusEnum
    PRScanType:
      type: string
      enum:
        - SECRET
        - VULNERABILITY
      title: PRScanType
    PR:
      properties:
        pr_id:
          type: integer
          title: Pr Id
        pr_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Pr Name
        repo_id:
          type: integer
          title: Repo Id
        pr_link:
          type: string
          title: Pr Link
        vctype:
          $ref: '#/components/schemas/VcTypesEnum'
        vc_id:
          type: integer
          title: Vc Id
        webhook_id:
          type: integer
          title: Webhook Id
        last_scan:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Scan
        secret_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Secret Count
        vulnerability_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vulnerability Count
        id:
          type: integer
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - pr_id
        - pr_name
        - repo_id
        - pr_link
        - vctype
        - vc_id
        - webhook_id
        - id
        - created_at
      title: PR
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VcTypesEnum:
      type: string
      enum:
        - gitlab
        - github
        - bitbucket
      title: VcTypesEnum
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````